Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.tasks
Class TaskStatus

    java.lang.Object
      portlets.compoze.groupware.tasks.TaskStatus

All Implemented Interfaces:
  java.io.Serializable

public class TaskStatus
extends java.lang.Object
implements java.io.Serializable

This class represents a task status.

See Also:
  Serialized Form

Field Summary
`static TaskStatus` | `COMPLETED` This value represents a 'completed' status.
`static TaskStatus` | `CURRENT` This value represents a 'current' status.
`static TaskStatus` | `DEFERRED` This value represents a 'deferred' status.
`static TaskStatus` | `FUTURE` This value represents a 'future' status.
`static TaskStatus` | `IN_PROGRESS` This value represents a 'in progress' status.
`static TaskStatus` | `NOT_STARTED` This value represents a 'in progress' status.
`static TaskStatus` | `OVERDUE` This value represents a 'waiting' status.
`static TaskStatus` | `REJECTED` This value represents a 'rejected' status.
`static int` | `VALUE_COMPLETED` This value represents the 'completed' value.
`static int` | `VALUE_CURRENT` This value represents the 'current' value.
`static int` | `VALUE_DEFERRED` This value represents the 'deferred' value.
`static int` | `VALUE_FUTURE` This value represents the 'future' value.
`static int` | `VALUE_IN_PROGRESS` This value represents the 'in progress' value.
`static int` | `VALUE_NOT_STARTED` This value represents the 'not started' value.
`static int` | `VALUE_OVERDUE` This value represents the 'overdue' value.
`static int` | `VALUE_REJECTED` This value represents the 'rejected' value.
`static int` | `VALUE_WAITING` This value represents the 'waiting' value.
`static TaskStatus` | `WAITING` This value represents a 'waiting' status.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static TaskStatus` | `get(int iValue)` Gets the task status by the value.
`static java.util.List` | `getDominoTaskStatus()` Gets the list of task status objects for domino.
`static java.util.List` | `getExchangeTaskStatus()` Gets the list of task status objects for exchange.
`java.lang.String` | `getKey()` Gets the resource key (message name) for i18n.
`static java.util.List` | `getTaskStatus()` Gets the list of all task status objects.
`int` | `getValue()` Gets the value of the task status.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_COMPLETED

    public static final int VALUE_COMPLETED

  This value represents the 'completed' value.

  See Also:
    Constant Field Values

### VALUE_DEFERRED

    public static final int VALUE_DEFERRED

  This value represents the 'deferred' value.

  See Also:
    Constant Field Values

### VALUE_IN_PROGRESS

    public static final int VALUE_IN_PROGRESS

  This value represents the 'in progress' value.

  See Also:
    Constant Field Values

### VALUE_NOT_STARTED

    public static final int VALUE_NOT_STARTED

  This value represents the 'not started' value.

  See Also:
    Constant Field Values

### VALUE_WAITING

    public static final int VALUE_WAITING

  This value represents the 'waiting' value.

  See Also:
    Constant Field Values

### VALUE_OVERDUE

    public static final int VALUE_OVERDUE

  This value represents the 'overdue' value.

  See Also:
    Constant Field Values

### VALUE_REJECTED

    public static final int VALUE_REJECTED

  This value represents the 'rejected' value.

  See Also:
    Constant Field Values

### VALUE_CURRENT

    public static final int VALUE_CURRENT

  This value represents the 'current' value.

  See Also:
    Constant Field Values

### VALUE_FUTURE

    public static final int VALUE_FUTURE

  This value represents the 'future' value.

  See Also:
    Constant Field Values

### COMPLETED

    public static final TaskStatus COMPLETED

  This value represents a 'completed' status.

### DEFERRED

    public static final TaskStatus DEFERRED

  This value represents a 'deferred' status.

### IN_PROGRESS

    public static final TaskStatus IN_PROGRESS

  This value represents a 'in progress' status.

### NOT_STARTED

    public static final TaskStatus NOT_STARTED

  This value represents a 'in progress' status.

### WAITING

    public static final TaskStatus WAITING

  This value represents a 'waiting' status.

### OVERDUE

    public static final TaskStatus OVERDUE

  This value represents a 'waiting' status.

### REJECTED

    public static final TaskStatus REJECTED

  This value represents a 'rejected' status.

### CURRENT

    public static final TaskStatus CURRENT

  This value represents a 'current' status.

### FUTURE

    public static final TaskStatus FUTURE

  This value represents a 'future' status.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the resource key (message name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the task status.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static TaskStatus get(int iValue)

  Gets the task status by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching task status or `null` if not found

### getExchangeTaskStatus

    public static java.util.List getExchangeTaskStatus()

  Gets the list of task status objects for exchange.

  Returns:
    the list of `TaskStatus` objects (unmodifiable)

### getDominoTaskStatus

    public static java.util.List getDominoTaskStatus()

  Gets the list of task status objects for domino.

  Returns:
    the list of `TaskStatus` objects (unmodifiable)

### getTaskStatus

    public static java.util.List getTaskStatus()

  Gets the list of all task status objects.

  Returns:
    the list of `TaskStatus` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.